package UI;

import javax.swing.*;
import java.awt.*;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

public class MainInitialPanel extends JPanel{
    private boolean clickOnPlay;

    public MainInitialPanel(){
        clickOnPlay = false;
        initComponents();
    }

    public boolean isClickOnPlay() {
        return clickOnPlay;
    }

    public void initComponents(){
        JTextField gottenSecretCode = new JTextField();
        gottenSecretCode.setPreferredSize(new Dimension(gottenSecretCode.getWidth()+200 , gottenSecretCode.getHeight()+30));
        JButton logInBtn = new JButton("log in");
        JButton regBtn = new JButton("sign up");
        logInBtn.addMouseListener(new MouseAdapter() {
            @Override
            public void mouseClicked(MouseEvent e) {
                super.mouseClicked(e);
                if (true){
                    clickOnPlay = true;
                }
                else {
                    JOptionPane.showMessageDialog(logInBtn,"error");
                }
            }
        });

        regBtn.addMouseListener(new MouseAdapter() {
            @Override
            public void mouseClicked(MouseEvent e) {
                super.mouseClicked(e);
                JFrame registration =  new JFrame();
                registration.add(setRegistrationPanel());
                registration.setVisible(true);
            }
        });

        this.setLayout(new GridLayout(4,1));
        add(setUserNamePanel());
        add(setPassPanel());
        add(logInBtn);
        add(regBtn);
    }

    private JPanel setUserNamePanel(){
        JPanel userNamePanel = new JPanel();
        JLabel label = new JLabel("user name");
        JTextField userName = new JTextField();
        userName.setPreferredSize(new Dimension(userName.getWidth() + 200,userName.getHeight()+ 30));
        userNamePanel.add(label);
        userNamePanel.add(userName);
        return userNamePanel;
    }

    private JPanel setPassPanel(){
        JPanel passPanel = new JPanel();
        JLabel label = new JLabel("password");
        JTextField pass = new JTextField();
        pass.setPreferredSize(new Dimension(pass.getWidth() + 200,pass.getHeight()+ 30));
        passPanel.add(label);
        passPanel.add(pass);
        return passPanel;
    }

    private JPanel setRegistrationPanel(){
        JPanel regPanel = new JPanel();
        JPanel fieldsPanel = new JPanel(new GridLayout(4,2));
        JLabel tankNameLabel = new JLabel("Name your tank");
        JTextField tankName = new JTextField();
        JLabel password = new JLabel("password");
        JTextField passwordField = new JTextField();
        JLabel passwordRp = new JLabel("password");
        JTextField passwordRepField = new JTextField();
        JLabel email = new JLabel("Email address");
        JTextField emailField = new JTextField();
        JButton saveBtn = new JButton("sign up");
        fieldsPanel.add(tankNameLabel);
        fieldsPanel.add(tankName);
        fieldsPanel.add(password);
        fieldsPanel.add(passwordField);
        fieldsPanel.add(passwordRp);
        fieldsPanel.add(passwordRepField);
        fieldsPanel.add(email);
        fieldsPanel.add(emailField);
        regPanel.add(fieldsPanel);
        regPanel.add(saveBtn);
        return regPanel;
    }
}
